_:
{
  programs.zsh.loginExtra = ''
    #notmutch
    export NOTMUCH_CONFIG="$HOME/.config/notmuch/config"
    export PATH=~/.local/bin:$PATH
    # export XDG_DATA_HOME=$HOME/.local/share
    unset DEBUGINFOD_URLS
    if [[ ! $DISPLAY && $XDG_VTNR -eq 1 ]]; then
        export QT_QPA_PLATFORM="wayland-egl"
        export QT_WAYLAND_DISABLE_WINDOWDECORATION=1
        export MOZ_ENABLE_WAYLAND=1
        export QT_QPA_PLATFORMTHEME=qt5ct
        export NO_AT_BRIDGE=1
        export XDG_SESSION_TYPE=wayland
        export XDG_CURRENT_DESKTOP=sway
        export SSH_AUTH_SOCK=$XDG_RUNTIME_DIR/ssh-agent.socket
        exec ~/.local/bin/sway.sh
    fi
    '';
  }
